import Image from '../docker/image.js';
export default class ScriptPackager {
    private readonly _REQUIRED_SOURCE_FILES;
    private readonly buildImage?;
    private readonly scriptNameBase;
    private readonly scriptPath;
    private readonly stagingDir;
    constructor(scriptPath: string, scriptName: string, buildImage?: Image);
    package(): Promise<string>;
    stage(): Promise<string>;
    private createPackage;
    private stageArtifacts;
    private stageSrcFiles;
}
